Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.spi.debugger.ui/1 2.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.debugger.ui
Interface Constants

    public interface Constants

Contains various debuggercore-ui constants.

Field Summary
`static String` | `BREAKPOINT_ENABLED_COLUMN_ID` Breakpoint Enabled column id.
`static String` | `CALL_STACK_FRAME_LOCATION_COLUMN_ID` CallStackFrame Location column id.
`static String` | `LOCALS_TO_STRING_COLUMN_ID` Locals toString () column id.
`static String` | `LOCALS_TYPE_COLUMN_ID` Locals Tyoe column id.
`static String` | `LOCALS_VALUE_COLUMN_ID` Locals Value column id.
`static String` | `SESSION_HOST_NAME_COLUMN_ID` Session Host Name column id.
`static String` | `SESSION_LANGUAGE_COLUMN_ID` Session Language column id.
`static String` | `SESSION_STATE_COLUMN_ID` Session State column id.
`static String` | `THREAD_STATE_COLUMN_ID` Thread State column id.
`static String` | `THREAD_SUSPENDED_COLUMN_ID` Thread Suspended column id.
`static String` | `WATCH_TO_STRING_COLUMN_ID` Watch toString () column id.
`static String` | `WATCH_TYPE_COLUMN_ID` Watch Tyoe column id.
`static String` | `WATCH_VALUE_COLUMN_ID` Watch Value column id.

Field Detail

### THREAD_STATE_COLUMN_ID

    static final String THREAD_STATE_COLUMN_ID

  Thread State column id.

  See Also:
    `ColumnModel`, `ColumnModel`, `ColumnModel`, Constant Field Values

### THREAD_SUSPENDED_COLUMN_ID

    static final String THREAD_SUSPENDED_COLUMN_ID

  Thread Suspended column id.

  See Also:
    `ColumnModel`, `ColumnModel`, `ColumnModel`, Constant Field Values

### BREAKPOINT_ENABLED_COLUMN_ID

    static final String BREAKPOINT_ENABLED_COLUMN_ID

  Breakpoint Enabled column id.

  See Also:
    `ColumnModel`, `ColumnModel`, `ColumnModel`, Constant Field Values

### CALL_STACK_FRAME_LOCATION_COLUMN_ID

    static final String CALL_STACK_FRAME_LOCATION_COLUMN_ID

  CallStackFrame Location column id.

  See Also:
    `ColumnModel`, `ColumnModel`, `ColumnModel`, Constant Field Values

### LOCALS_TO_STRING_COLUMN_ID

    static final String LOCALS_TO_STRING_COLUMN_ID

  Locals toString () column id.

  See Also:
    `ColumnModel`, `ColumnModel`, `ColumnModel`, Constant Field Values

### LOCALS_TYPE_COLUMN_ID

    static final String LOCALS_TYPE_COLUMN_ID

  Locals Tyoe column id.

  See Also:
    `ColumnModel`, `ColumnModel`, `ColumnModel`, Constant Field Values

### LOCALS_VALUE_COLUMN_ID

    static final String LOCALS_VALUE_COLUMN_ID

  Locals Value column id.

  See Also:
    `ColumnModel`, `ColumnModel`, `ColumnModel`, Constant Field Values

### WATCH_TO_STRING_COLUMN_ID

    static final String WATCH_TO_STRING_COLUMN_ID

  Watch toString () column id.

  See Also:
    `ColumnModel`, `ColumnModel`, `ColumnModel`, Constant Field Values

### WATCH_TYPE_COLUMN_ID

    static final String WATCH_TYPE_COLUMN_ID

  Watch Tyoe column id.

  See Also:
    `ColumnModel`, `ColumnModel`, `ColumnModel`, Constant Field Values

### WATCH_VALUE_COLUMN_ID

    static final String WATCH_VALUE_COLUMN_ID

  Watch Value column id.

  See Also:
    `ColumnModel`, `ColumnModel`, `ColumnModel`, Constant Field Values

### SESSION_HOST_NAME_COLUMN_ID

    static final String SESSION_HOST_NAME_COLUMN_ID

  Session Host Name column id.

  See Also:
    `ColumnModel`, `ColumnModel`, `ColumnModel`, Constant Field Values

### SESSION_STATE_COLUMN_ID

    static final String SESSION_STATE_COLUMN_ID

  Session State column id.

  See Also:
    `ColumnModel`, `ColumnModel`, `ColumnModel`, Constant Field Values

### SESSION_LANGUAGE_COLUMN_ID

    static final String SESSION_LANGUAGE_COLUMN_ID

  Session Language column id.

  See Also:
    `ColumnModel`, `ColumnModel`, `ColumnModel`, Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.spi.debugger.ui/1 2.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.